(function($) {

  $.fn.trunc = function(limit) {

    var limit = parseInt(limit);

    this.each(function() {
      var ths = $(this);
      var allText = ths.text();
      
      if (allText.length > limit) {
      	var limitedText = allText.substring(0, limit);

     		ths.text(limitedText);

      	ths.append('<span class="hellip">&hellip;</span>')

      	ths.children('.hellip').click(function() {
        ths.text(allText);
      });
      }
    });

    return this;

  };
}(jQuery));
